Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.customer
Interface CustomerPropertyManager

All Superinterfaces
  javax.ejb.EJBObject, EntityPropertyManager, Remote

Deprecated

    @Deprecated
    public interface CustomerPropertyManager

extends EntityPropertyManager

Manages properties associated with Customer. Implemented as a stateless session bean. Delegates calls to the CustomerEJB.

Handles property sets for "CustomerProperties". This mapping can be found in usermgmt-ejb-jar.xml deployment descriptor.

Method Summary
`void` | `createCustomer(String customerName)` Deprecated Create a customer record with the given name.
`boolean` | `customerExists(String customerName)` Deprecated Determine if a customer exists
`void` | `deleteCustomer(String customerName)` Deprecated Remove a customer
`Object` | `getProperty(String customerName, String propertySet, String propertyName)` Deprecated Returns the value of the property defined for the specified property and property set.
`String` | `getPropertyAsString(String customerName, String propertySet, String propertyName)` Deprecated Get a property from the customer, converted to a String If the property is not found, the default value from the property set will be returned.
`Object` | `removeProperty(String customerName, String propertySet, String propertyName)` Deprecated Remove a property from the customer
`void` | `setProperty(String customerName, String propertySet, String propertyName, Object value)` Deprecated Set a property in the profile

Methods inherited from interface com.bea.p13n.property.EntityPropertyManager
`createUniqueId, getDynamicProperties, getEntityNames, getHomeName, getProperties, getProperty, getPropertyLocator, getUniqueId, removeEntity, removeProperties, removeProperty, setProperty`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getProperty

    Object getProperty(String customerName,
                       String propertySet,
                       String propertyName)
                       throws RemoteException,
                              CustomerNotFoundException

  Deprecated
  Returns the value of the property defined for the specified property and property set.

  If the property does not have a value persisted, then null is returned.

  Parameters
    `customerName` - the name of the customer whose property we wish to retrieve
    `propertySet` - the name of the property set
    `propertyName` - the name of the property
  Returns
    the property's value, or null if there is none
  Throws
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### getPropertyAsString

    String getPropertyAsString(String customerName,
                               String propertySet,
                               String propertyName)
                               throws RemoteException,
                                      CustomerNotFoundException

  Deprecated
  Get a property from the customer, converted to a String If the property is not found, the default value from the property set will be returned.

  Parameters
    `profileName` - the name of the profile to read
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns
    the property's value as a String
  Throws
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### setProperty

    void setProperty(String customerName,
                     String propertySet,
                     String propertyName,
                     Object value)
                     throws PropertyValidationException,
                            CustomerNotFoundException,
                            RemoteException

  Deprecated
  Set a property in the profile

  Parameters
    `customerName` - the name of the profile to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `value` - the new value for the property
  Throws
    `PropertyValidationException` - if the new value is not valid
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### removeProperty

    Object removeProperty(String customerName,
                          String propertySet,
                          String propertyName)
                          throws RemoteException,
                                 CustomerNotFoundException

  Deprecated
  Remove a property from the customer

  Parameters
    `customerName` - the name of the customer to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns
    the old value of the property
  Throws
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### createCustomer

    void createCustomer(String customerName)
                        throws RemoteException,
                               Exception

  Deprecated
  Create a customer record with the given name.

  Parameters
    `customerName` - the name of the customer to create
  Throws
    `RemoteException`
    `Exception`

### deleteCustomer

    void deleteCustomer(String customerName)
                        throws RemoteException,
                               CustomerNotFoundException

  Deprecated
  Remove a customer

  Parameters
    `customerName` - the name of the customer to remove
  Throws
    `RemoteException`
    `CustomerNotFoundException`

### customerExists

    boolean customerExists(String customerName)
                           throws RemoteException,
                                  CustomerNotFoundException

  Deprecated
  Determine if a customer exists

  Parameters
    `customerName` - the name to look for
  Returns
    true if it exists, false otherwise
  Throws
    `RemoteException`
    `CustomerNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.